-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}
M.type = "auxilliary"
M.relevantDevice = nil

local function updateGFX()
  if electrics.values.gear_A == 0 then
     electrics.values.int_park = 1
  else
     electrics.values.int_park = 0
  end  
  if electrics.values.gear_A == 0.2 then
     electrics.values.int_reverse = 1
  else
     electrics.values.int_reverse = 0
  end  
  if electrics.values.gear_A == 0.4 then
     electrics.values.int_neutral = 1
  else
     electrics.values.int_neutral = 0
  end  
  if electrics.values.gear_A == 0.6 then
     electrics.values.int_drive = 1
  else
     electrics.values.int_drive = 0
  end   
  if electrics.values.gear_A == 1 then
     electrics.values.int_1st = 1
  else
     electrics.values.int_1st = 0
  end  
  if electrics.values.gear_A == 0.8 then
     electrics.values.int_2nd = 1
  else
     electrics.values.int_2nd = 0
  end  
  
  if electrics.values.rpm < 100 then
	 electrics.values.beltspin = 0
  elseif electrics.values.rpm > 2500 then
     electrics.values.beltspin = 1
  else
     electrics.values.beltspin = 0.5
  end
end

local function init(jbeamData)
  electrics.values.int_park = 0
  electrics.values.int_reverse = 0
  electrics.values.int_neutral = 0
  electrics.values.int_drive = 0
  electrics.values.int_1st = 0
  electrics.values.int_2nd = 0  
end

M.init = init
M.updateGFX = updateGFX
M.update = update

return M